complexType "ReferenceObligation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (bond? | convertibleBond? | mortgage? | loan?), (primaryObligor? | primaryObligorReference?)?, (guarantor? | guarantorReference?)*
</...>

Content Model Elements (8):

  bond, convertibleBond, guarantor, guarantorReference, loan, mortgage, primaryObligor, primaryObligorReference

All Direct / Indirect Based Elements (2):

  referenceObligation (in referenceInformation), | referenceObligation (in referencePair)

Known Usage Locations

- As direct type of elements (2):

  referenceObligation (in referenceInformation), | referenceObligation (in referencePair)

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ReferenceObligation"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" ref="bond"/> <xsd:element minOccurs="0" ref="convertibleBond"/> <xsd:element minOccurs="0" ref="mortgage"/> <xsd:element minOccurs="0" ref="loan"/> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="primaryObligor" type="LegalEntity"/> <xsd:element minOccurs="0" name="primaryObligorReference" type="LegalEntityReference"/> </xsd:choice> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element minOccurs="0" name="guarantor" type="LegalEntity"/> <xsd:element minOccurs="0" name="guarantorReference" type="LegalEntityReference"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
bond

  Type: | Bond, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="bond"/>

convertibleBond

  Type: | ConvertibleBond, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="convertibleBond"/>

guarantor

  Type: | LegalEntity, complex content

  The party that guarantees by way of a contractual arrangement to pay the debts of an obligor if the obligor is unable to make the required payments itself. ISDA 2003 Term: Guarantor
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="guarantor" type="LegalEntity"/>

guarantorReference

  Type: | LegalEntityReference, empty content

  A pointer style reference to a reference entity defined elsewhere in the document. Used when the reference entity is the guarantor.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="guarantorReference" type="LegalEntityReference"/>

loan

  Type: | Loan, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="loan"/>

mortgage

  Type: | Mortgage, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="mortgage"/>

primaryObligor

  Type: | LegalEntity, complex content

  The entity primarily responsible for repaying debt to a creditor as a result of borrowing or issuing bonds. ISDA 2003 Term: Primary Obligor
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="primaryObligor" type="LegalEntity"/>

primaryObligorReference

  Type: | LegalEntityReference, empty content

  A pointer style reference to a reference entity defined elsewhere in the document. Used when the reference entity is the primary obligor.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="primaryObligorReference" type="LegalEntityReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.